package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumFilterSettle {

    YES(0, "过滤"),
    NO(1, "不过滤"),
    ;


    public static EnumFilterSettle getEnum(Integer code) {
        for (EnumFilterSettle value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumFilterSettle(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
